import { TestReadModel, GivenEventsContext, OmitFirstArgument } from '../../types';
import { query } from './query';
import { withAdapter } from './with-adapter';
import { withEncryption } from './with-encryption';
declare type DeprecatedResolverMap = {
    [key: string]: Function;
};
export declare type ReadModelNode = {
    query: OmitFirstArgument<typeof query>;
    withAdapter: OmitFirstArgument<typeof withAdapter>;
    withEncryption: OmitFirstArgument<typeof withEncryption>;
} & PromiseLike<never> & DeprecatedResolverMap;
export declare const readModel: (givenEventsContext: GivenEventsContext, readModel: TestReadModel) => ReadModelNode;
export {};
